Subject: Re: How to stop ftp in Cygwin
From: Andrew DeFaria <[email-masked]>
To: [email-masked]
Date: Wed, 16 Jan 2002 11:29:44 -0800

Tiffany Chan <[email-masked]> wrote:

> Hi,
>
> I want to use Microsoft FTP Service, so I would like to stop the "Ftp" 
> in Cygwin (inetd), of course, i use
> cygwin for telnet.
>
> How to stop "ftp" in cygwin ?

The basic idea is to comment out the ftp entry in /etc/inetd.conf then 
cause inetd to reread its configuration or:

$ sed 's/^ftp/\#ftp/' /etc/inetd.conf > /etc/inetd.new # Comment out ftp 
entry in /etc/inetd.conf
$ mv /etc/inetd.new /etc/inetd.conf # Move new file into place
$ net stop inetd # Stop inetd
$ net start inetd # Restart inetd

Note that you could also send a sighup to the inetd to cause it to 
reread it's configuration (of course there are two inetd processes 
running and I'm not sure if you need to send the sighup to both or not).

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/